Google encuentra 7 defectos de seguridad en el software de red Dnsmasq ampliamente utilizado Destacado

Dnsmasq Dnsmasq

Dnsmasq es una herramienta de aplicación de red diseñada para proporcionar el redireccionador DNS

Investigadores de seguridad han descubierto no una o dos, sino un total de siete vulnerabilidades de seguridad en el popular software de servicios de red de código abierto Dnsmasq, tres de las cuales podrían permitir la ejecución remota de código en un sistema vulnerable y secuestrarlo.

Dnsmasq es una herramienta de aplicación de red ligera y ampliamente utilizada diseñada para proporcionar el redireccionador DNS (Sistema de nombres de dominio), el servidor DHCP (Protocolo de configuración dinámica de host), los anuncios de enrutador y los servicios de inicio de red para redes pequeñas.

Dnsmasq viene preinstalado en varios dispositivos y sistemas operativos, incluyendo distribuciones Linux como Ubuntu, Debian o CentOS, routers domésticos, teléfonos inteligentes y dispositivos de Internet de las Cosas (IoT). Una exploración shodan para "Dnsmasq" revela alrededor de 1.1 millones de casos en todo el mundo.

Recientemente, el equipo de seguridad de Google revisó Dnsmasq y descubrió siete problemas de seguridad, incluyendo la ejecución remota de código relacionado con DNS, divulgación de información y problemas de denegación de servicio (DoS) que se pueden activar a través de DNS o DHCP.

"Descubrimos siete cuestiones distintas (que se enumeran a continuación) en el transcurso de nuestras evaluaciones regulares de seguridad interna", escribió el equipo de seguridad de Google en un blog publicado el lunes.

"Una vez que determinamos la gravedad de estos problemas, trabajamos para investigar su impacto y explotabilidad y luego produjimos pruebas internas de concepto para cada uno de ellos.También trabajamos con el mantenedor de Dnsmasq, Simon Kelley, para producir parches adecuados y mitigar el problema".

Dado que las vulnerabilidades han sido reparadas por el desarrollador y mantenedor de Dnsmasq, Simon Kelley, los investigadores de Google han publicado detalles y código de explotación de prueba de concepto (PoC) para cada una de las vulnerabilidades.

De las siete vulnerabilidades descubiertas por el equipo, tres pueden explotarse para realizar la ejecución remota de código, tres pueden utilizarse en ataques de denegación de servicio y una para fuga de información.

Aquí está la lista de todas las vulnerabilidades:

vulnerabilidades en Dnsmasq

Dado que todos los problemas ya se han abordado con el lanzamiento de Dnsmasq 2.78, se recomienda a los usuarios de Dnsmasq que actualicen sus instalaciones lo antes posible.

Para parchear los dispositivos, asegúrate de actualizar los paquetes en tu sistema. Google ha actualizado sus servicios afectados y ha lanzado las soluciones de seguridad a los socios Android el 5 de septiembre de 2017 en las actualizaciones de seguridad de Android de octubre.

Otros servicios de Google afectados también se declaran actualizados. Las versiones de Kubernetes 1.5.8, 1.6.11, 1.7.7 y 1.8.0 también se han actualizado con un parcheado Dnsmasq.

Modificado por última vez enMiércoles, 04 Octubre 2017 17:26

  • No se han encontrado comentarios

Deja tus comentarios

Enviar un comentario como invitado

0 / 3000 Restricción de Carateres
El texto debe estar entre 10-3000 caracteres